JspPropertyGroupDescriptor (Servlet 3.1 API Documentation - Apache Tomcat 8.5.83)

Package javax.servlet.descriptor

## Interface JspPropertyGroupDescriptor

-     public interface JspPropertyGroupDescriptor

  Represents the JSP property groups in the deployment descriptors.
  Since:
    Servlet 3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBuffer()` | Obtain the per-page buffer configuration for this group of JSP pages.
    `java.lang.String` | `getDefaultContentType()` | Obtain the default content type this group of JSP pages
    `java.lang.String` | `getDeferredSyntaxAllowedAsLiteral()` | Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
    `java.lang.String` | `getElIgnored()` | Is Expression Language ignored for this group?
    `java.lang.String` | `getErrorOnUndeclaredNamespace()` | Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
    `java.util.Collection<java.lang.String>` | `getIncludeCodas()` | Obtain the codas to include for this group.
    `java.util.Collection<java.lang.String>` | `getIncludePreludes()` | Obtain the preludes to include for this group.
    `java.lang.String` | `getIsXml()` | Should the JSPs in this group be treated as JSP documents?
    `java.lang.String` | `getPageEncoding()` | Obtain the page encoding for this group.
    `java.lang.String` | `getScriptingInvalid()` | Is scripting disabled for this group?
    `java.lang.String` | `getTrimDirectiveWhitespaces()` | Should the JSPs in this group have template text that only contains whitespace removed?
    `java.util.Collection<java.lang.String>` | `getUrlPatterns()` | Obtain the patterns to which this group applies.

- - ### Method Detail

    - #### getUrlPatterns

          java.util.Collection<java.lang.String> getUrlPatterns()

      Obtain the patterns to which this group applies.
      Returns:
        the patterns to which this group applies

    - #### getElIgnored

          java.lang.String getElIgnored()

      Is Expression Language ignored for this group?
      Returns:
        `true` if EL is ignored, otherwise `false`

    - #### getPageEncoding

          java.lang.String getPageEncoding()

      Obtain the page encoding for this group.
      Returns:
        the page encoding for this group

    - #### getScriptingInvalid

          java.lang.String getScriptingInvalid()

      Is scripting disabled for this group?
      Returns:
        `true` if scripting is disabled, otherwise `false`

    - #### getIsXml

          java.lang.String getIsXml()

      Should the JSPs in this group be treated as JSP documents?
      Returns:
        `true` if the JSPs should be treated as JSP documents, otherwise `false`

    - #### getIncludePreludes

          java.util.Collection<java.lang.String> getIncludePreludes()

      Obtain the preludes to include for this group.
      Returns:
        the preludes to include for this group

    - #### getIncludeCodas

          java.util.Collection<java.lang.String> getIncludeCodas()

      Obtain the codas to include for this group.
      Returns:
        the codas to include for this group.

    - #### getDeferredSyntaxAllowedAsLiteral

          java.lang.String getDeferredSyntaxAllowedAsLiteral()

      Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
      Returns:
        `true` if the deferred EL syntax is allowed to be used as a literal, otherwise `false`

    - #### getTrimDirectiveWhitespaces

          java.lang.String getTrimDirectiveWhitespaces()

      Should the JSPs in this group have template text that only contains whitespace removed?
      Returns:
        `true` if the whitespace be removed, otherwise `false`

    - #### getDefaultContentType

          java.lang.String getDefaultContentType()

      Obtain the default content type this group of JSP pages.#
      Returns:
        the default content type this group of JSP pages

    - #### getBuffer

          java.lang.String getBuffer()

      Obtain the per-page buffer configuration for this group of JSP pages.
      Returns:
        the per-page buffer configuration for this group of JSP pages

    - #### getErrorOnUndeclaredNamespace

          java.lang.String getErrorOnUndeclaredNamespace()

      Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
      Returns:
        `true` if an error should be raised, otherwise `false`